ssossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

Forums Oro Community Installing it in windows after completion of Pre-Requisite steps

This topic contains 6 replies, has 2 voices, and was last updated by  nishanth1 5 months, 3 weeks ago.

  • Creator
    Topic
  • #53489

    nishanth1
    Member

    Description: After the prerequisite checks and clicking Next button, it is directing to the URL localhost/orocrm/installer. Where I can see a blank page as response.

    Is there any configuration has to be changed in httpd.conf and php.ini.
    In .htaccess file how do we set the environment path variable in windows for composer in .htaccess

    Steps to reproduce:
    Navigate to localhost/orocrm/web/install.php from the OROCRM extracted zip folder.

    Expected Result: I have seen new form with database cache clear, creating schema and so on fields in Ubuntu. But not in Windows

    Actual Result: Redirecting to the URL localhost/orocrm/installer with Blank page 500 response.

    Environment: OroCRM 2.50, Win10 64x, Apache 2.4.x, PHP=7.1.x, Composer

    OS: Windows 10 x64

Viewing 6 replies - 1 through 6 (of 6 total)
  • Author
    Replies
  • #53491
    ibratsilo
    ibratsilo
    Moderator

    Hi, thanks for your response.

    Could you please provide application logs app/logs/prod.log (or dev.log for dev envirorment) and Apache errors log? There is a good chance to see the answer to this question in the logs.

    #53492

    nishanth1
    Member

    @ibratsilo
    Kindly copy the below logs to view with some editor.
    In app/logs/prod.log
    [2018-01-22 21:18:41] request.CRITICAL: Uncaught PHP Exception Symfony\Component\Debug\Exception\FatalErrorException: “Error: Maximum execution time of 30 seconds exceeded” at C:\Apache24\htdocs\orocrm\vendor\doctrine\cache\lib\Doctrine\Common\Cache\FileCache.php line 251 {“exception”:”[object] (Symfony\\Component\\Debug\\Exception\\FatalErrorException(code: 0): Error: Maximum execution time of 30 seconds exceeded at C:\\Apache24\\htdocs\\orocrm\\vendor\\doctrine\\cache\\lib\\Doctrine\\Common\\Cache\\FileCache.php:251)”} []

    [2018-01-22 21:20:22] request.CRITICAL: Uncaught PHP Exception Symfony\Component\Debug\Exception\FatalErrorException: “Error: Maximum execution time of 30 seconds exceeded” at C:\Apache24\htdocs\orocrm\vendor\doctrine\cache\lib\Doctrine\Common\Cache\FilesystemCache.php line 55 {“exception”:”[object] (Symfony\\Component\\Debug\\Exception\\FatalErrorException(code: 0): Error: Maximum execution time of 30 seconds exceeded at C:\\Apache24\\htdocs\\orocrm\\vendor\\doctrine\\cache\\lib\\Doctrine\\Common\\Cache\\FilesystemCache.php:55)”} []

    [2018-01-22 21:20:35] request.CRITICAL: Uncaught PHP Exception Symfony\Component\Debug\Exception\FatalErrorException: “Error: Maximum execution time of 30 seconds exceeded” at C:\Apache24\htdocs\orocrm\vendor\oro\marketing\src\Oro\Bundle\MarketingActivityBundle\Entity\MarketingActivity.php line 45 {“exception”:”[object] (Symfony\\Component\\Debug\\Exception\\FatalErrorException(code: 0): Error: Maximum execution time of 30 seconds exceeded at C:\\Apache24\\htdocs\\orocrm\\vendor\\oro\\marketing\\src\\Oro\\Bundle\\MarketingActivityBundle\\Entity\\MarketingActivity.php:45)”} []

    In Apache log files

    Thanks and Regards,
    Nishanth J

    #53495

    nishanth1
    Member

    @ibratsilo

    Even in php.ini

    max_execution_time = 360 has been set.

    I don’t understand where should I include below code:

    ini_set(‘max_execution_time’, 300); and

    set_time_limit(0);

    #53496

    nishanth1
    Member

    From Installation from command line

    #53497

    nishanth1
    Member

    C:\Apache24\htdocs\orocrm>php app/console oro:install
    Installing Oro Application.

    Oro requirements check:
    +———+——————————————————————————————+
    | Check | Mandatory requirements |
    +———+——————————————————————————————+
    | OK | Vendor libraries must be installed |
    | OK | app/cache/ or var/cache/ directory must be writable |
    | OK | app/logs/ or var/logs/ directory must be writable |
    | OK | Configured default timezone “Asia/Kolkata” must be supported by your installation of PHP |
    | OK | iconv() must be available |
    | OK | json_encode() must be available |
    | OK | session_start() must be available |
    | OK | ctype_alpha() must be available |
    | OK | token_get_all() must be available |
    | OK | simplexml_import_dom() must be available |
    | OK | PCRE extension must be available |
    | OK | C:\Users\user\AppData\Local\Temp (sys_get_temp_dir()) directory must be writable |
    +———+——————————————————————————————+
    +———+——————————————–+
    | Check | PHP settings |
    +———+——————————————–+
    | OK | detect_unicode must be disabled in php.ini |
    | OK | string functions should not be overloaded |
    | OK | memory_limit should be at least 512M |
    +———+——————————————–+
    +———+—————————————————-+
    | Check | Oro specific requirements |
    +———+—————————————————-+
    | OK | PHP version must be at least 7.0 (7.1.7 installed) |
    | OK | GD extension must be at least 2.0 |
    | OK | cURL extension must be at least 7.0 |
    | OK | mcrypt_encrypt() should be available |
    | OK | intl extension should be available |
    | OK | icu library must be at least 3.8 |
    | OK | zip extension should be installed |
    | OK | web/uploads/ directory must be writable |
    | OK | web/media/ directory must be writable |
    | OK | web/bundles/ directory must be writable |
    | OK | app/attachment/ directory must be writable |
    | OK | app/import_export/ directory must be writable |
    | OK | web directory must be writable |
    | OK | app/config/parameters.yml file must be writable |
    +———+—————————————————-+
    +———+————————————————————————————————————————–+
    | Check | Optional recommendations |
    +———+————————————————————————————————————————–+
    | OK | Vendors should be installed in order to check all requirements. |
    | OK | Requirements file should be up-to-date |
    | OK | PCRE extension should be at least version 8.0 (8.38 installed) |
    | OK | PHP-DOM and PHP-XML modules should be installed |
    | OK | mb_strlen() should be available |
    | OK | utf8_decode() should be available |
    | OK | filter_var() should be available |
    | OK | intl extension should be available |
    | OK | intl extension should be correctly configured |
    | OK | intl ICU version should be at least 4+ |
    | OK | intl ICU version installed on your system is outdated (57.1) and does not match the ICU data bundled with Symfony (57.1) |
    | OK | intl ICU version installed on your system (57.1) does not match the ICU data bundled with Symfony (57.1) |
    | OK | intl.error_level should be 0 in php.ini |
    | OK | a PHP accelerator should be installed |
    | OK | realpath_cache_size should be at least 5M in php.ini |
    | OK | short_open_tag should be disabled in php.ini |
    | OK | magic_quotes_gpc should be disabled in php.ini |
    | OK | register_globals should be disabled in php.ini |
    | OK | session.auto_start should be disabled in php.ini |
    | OK | PDO should be installed |
    | OK | PDO should have some drivers installed (currently available: mysql) |
    | OK | SOAP extension should be installed (API calls) |
    | OK | Tidy extension should be installed to make sure that any HTML is correctly converted into a text representation. |
    | OK | finfo_open() should be available |
    | OK | COM extension should be installed |
    | OK | A JS Engine (node) is installed |
    +———+————————————————————————————————————————–+

    Setting up database.
    Process migrations…
    > Oro\Bundle\EntityExtendBundle\Migration\LoadEntityConfigStateMigration
    > Oro\Bundle\MigrationBundle\Migration\CreateMigrationTableMigration
    > Oro\Bundle\PlatformBundle\Migrations\Schema\OroPlatformBundleInstaller
    > Oro\Bundle\ScopeBundle\Migrations\Schema\OroScopeBundleInstaller
    > Oro\Bundle\OrganizationBundle\Migrations\Schema\OroOrganizationBundleInstaller
    > Oro\Bundle\SecurityBundle\Migrations\Schema\OroSecurityBundleInstaller
    > Oro\Bundle\AttachmentBundle\Migrations\Schema\OroAttachmentBundleInstaller
    > Oro\Bundle\OroMessageQueueBundle\Migrations\Schema\OroMessageQueueBundleInstaller
    > Oro\Bundle\EmailBundle\Migrations\Schema\OroEmailBundleInstaller
    > Oro\Bundle\CronBundle\Migrations\Schema\OroCronBundleInstaller
    > Oro\Bundle\UserBundle\Migrations\Schema\OroUserBundleInstaller
    > Oro\Bundle\DataGridBundle\Migrations\Schema\OroDataGridBundleInstaller
    > Oro\Bundle\SSOBundle\Migrations\Schema\OroSSOBundleInstaller
    > Oro\Bundle\TranslationBundle\Migrations\Schema\OroTranslationBundleInstaller
    > Oro\Bundle\EntityBundle\Migrations\Schema\OroEntityBundleInstaller
    > Oro\Bundle\LocaleBundle\Migrations\Schema\OroLocaleBundleInstaller
    > Oro\Bundle\EntityConfigBundle\Migrations\Schema\OroEntityConfigBundleInstaller
    > Oro\Bundle\EntityExtendBundle\Migrations\Schema\OroEntityExtendBundleInstaller
    > Oro\Bundle\IntegrationBundle\Migrations\Schema\OroIntegrationBundleInstaller
    > Oro\Bundle\NotificationBundle\Migrations\Schema\OroNotificationBundleInstaller

    #53498

    nishanth1
    Member

    C:\Apache24\htdocs\orocrm>php app/console oro:api:doc:cache:clear

    // Warming up cache for the default view…

    // Warming up cache for the rest_json_api view…

    [Oro\Component\ChainProcessor\Exception\ExecutionFailedException]
    Processor failed: “oro_api.collect_subresources.initialize_subresources”. Reason: Processor failed: “oro_api.get_co
    nfig.complete_definition”. Reason: Entity “Oro\Bundle\AttachmentBundle\Entity\Attachment” is not configurable

    [Oro\Component\ChainProcessor\Exception\ExecutionFailedException]
    Processor failed: “oro_api.get_config.complete_definition”. Reason: Entity “Oro\Bundle\AttachmentBundle\Entity\Atta
    chment” is not configurable

    [Oro\Bundle\EntityConfigBundle\Exception\RuntimeException]
    Entity “Oro\Bundle\AttachmentBundle\Entity\Attachment” is not configurable

    oro:api:doc:cache:clear [–view [VIEW]] [–no-warmup] [-h|–help] [-q|–quiet] [-v|vv|vvv|–verbose] [-V|–version] [–ansi] [–no-ansi] [-n|–no-interaction] [-s|–shell] [–process-isolation] [-e|–env ENV] [–no-debug] [–current-user CURRENT-USER] [–current-organization CURRENT-ORGANIZATION] [–disabled-listeners DISABLED-LISTENERS] [–] <command>

Viewing 6 replies - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.

You will be redirected to [title]. Would you like to continue?

Yes No
ssossossosso